package org.gcube.portlets.user.dataminermanager.client.custom;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.resources.client.ImageResource.RepeatStyle;
import com.sencha.gxt.theme.base.client.progress.ProgressBarDefaultAppearance;

/**
 * 
 * @author Giancarlo Panichi email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class GreenProgressBarAppaearance extends ProgressBarDefaultAppearance {

	public interface GreenProgressBarResources extends ProgressBarResources,
			ClientBundle {

		@Source({ "GreenProgressBar.css" })
		@Override
		ProgressBarStyle style();

		@Source("green-progress-bg.gif")
		@Override
		@ImageOptions(repeatStyle = RepeatStyle.Horizontal)
		ImageResource bar();

		@Source("green-bg.gif")
		@ImageOptions(repeatStyle = RepeatStyle.Horizontal)
		ImageResource innerBar();
	}

	public GreenProgressBarAppaearance() {
		super(
				GWT.<ProgressBarResources> create(GreenProgressBarResources.class),
				GWT.<ProgressBarTemplate> create(ProgressBarTemplate.class));
	}

}
