/**
 * 
 */
package org.gcube.portlets.user.dataminermanager.client.dataspace;

import com.sencha.gxt.core.client.util.Margins;
import com.sencha.gxt.widget.core.client.FramedPanel;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer.VerticalLayoutData;

/**
 * 
 * @author Giancarlo Panichi email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class DataSpacePanel extends FramedPanel {

	public DataSpacePanel() {
		super();
		init();
		create();
	}

	private void init() {
		setBodyStyle("backgroundColor:white;");
		setBodyBorder(true);
		setHeadingText("Data Space");
		setHeaderVisible(true);
	}

	private void create() {
		VerticalLayoutContainer v = new VerticalLayoutContainer();
		InputDataSetsPanel importedDataPanel = new InputDataSetsPanel();
		OutputDataSetsPanel computedDataPanel = new OutputDataSetsPanel();
		v.add(importedDataPanel, new VerticalLayoutData(1, 0.5, new Margins(0)));
		v.add(computedDataPanel, new VerticalLayoutData(1, 0.5, new Margins(0)));
		add(v);
	}

}
