package org.gcube.portlets.user.dataminermanager.client.custom;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.resources.client.ImageResource.ImageOptions;
import com.google.gwt.resources.client.ImageResource.RepeatStyle;
import com.sencha.gxt.theme.base.client.progress.ProgressBarDefaultAppearance;

/**
 * 
 * @author Giancarlo Panichi email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class RedProgressBarAppaearance extends ProgressBarDefaultAppearance {

	public interface RedProgressBarResources extends ProgressBarResources,
			ClientBundle {

		@Source({"RedProgressBar.css" })
		@Override
		ProgressBarStyle style();

		@Source("red-progress-bg.gif")
		@Override
		@ImageOptions(repeatStyle = RepeatStyle.Horizontal)
		ImageResource bar();

		@Source("red-bg.gif")
		@ImageOptions(repeatStyle = RepeatStyle.Horizontal)
		ImageResource innerBar();
	}

	public RedProgressBarAppaearance() {
		super(
				GWT.<RedProgressBarResources> create(RedProgressBarResources.class),
				GWT.<ProgressBarTemplate> create(ProgressBarTemplate.class));

	}
	
	

}
